mup2mma(1)

NAME
mup2mma - create MMA file using chords from MUP music notation file

SYNOPSIS
mup2mma [options] <mupfile>

DESCRIPTION
mup2mma extracts chords from a MUP music notation file and creates a MMA file. For this to work the MUP file must use the macro "C" for chord. In my MUP files I have the following:

    define C bold (11) chord above all: @

This script just checks all input lines and assumes that anything starting with "C" is a chord line.

Additional "features":

    Lines in the form "// TEMPO: xx" generate a Tempo entry

    "time =" lines are parsed for common time signatures

    repeats are inserted as comment lines

OPTIONS

-m  add melody lines

-l  add lyrics

-o  overwrite

SEE ALSO
mma(1)

RESOURCES
The latest version of this program is always distributed with MMA and is available at http://www.mellowood.ca/mma

AUTHOR
Bob van der Poel <bob@mellowood.ca>

LICENSE
mup2mma is Copyright 2002-2008 Bob van der Poel. Free use of this software is granted under the terms of the GNU General Public License.